Index: code/DataObjectManager.php
===================================================================
--- code/DataObjectManager.php	(revision 80)
+++ code/DataObjectManager.php	(working copy)
@@ -151,7 +151,7 @@
 		$childData = new $className();
 		$form->saveInto($childData);
 		$childData->write();
-		$form->sessionMessage('Added new ' . $this->SingleTitle() .' successfully', 'good');
+		$form->sessionMessage(sprintf(_t('DataObjectManager.ADDEDNEW','Added new %s successfully'),$this->SingleTitle()), 'good');
 		if($form->getFileField()) {
 			$form->clearMessage();
 			Director::redirect($this->BaseLink().'/item/'.$childData->ID.'/edit');
@@ -183,7 +183,7 @@
 	{
 		$form = parent::AddForm($childID);
 		$actions = new FieldSet();	
-		$text = ($field = $form->getFileField()) ? "Save and add " . $field->Title() : "Save";
+		$text = ($field = $form->getFileField()) ? sprintf(_t('DataObjectManager.SAVEANDADD','Save and add %s'), $field->Title()) : _t('DataObjectManager.SAVE','SAVE');
 		$actions->push(
 			$saveAction = new FormAction("saveComplexTableField", $text)
 		);	
@@ -280,12 +280,12 @@
 	
 	public function FilterDropdown()
 	{
-		$map = $this->filter_empty_string ? array($this->RelativeLink(array('filter' => '')) => '-- No filter --') : array();
+		$map = $this->filter_empty_string ? array($this->RelativeLink(array('filter' => '')) => '-- '._t('DataObjectManager.NOFILTER','No filter').' --') : array();
 		foreach($this->filter_map as $k => $v) {
 			$map[$this->RelativeLink(array('filter' => $this->filtered_field.'_'.$k))] = $v;
 		}
 		$value = !empty($this->filter) ? $this->RelativeLink(array('filter' => $this->filter)) : null;
-		$dropdown = new DropdownField('Filter',$this->filter_label . " (<a href='#' class='refresh'>refresh</a>)", $map, $value);
+		$dropdown = new DropdownField('Filter',$this->filter_label . " (<a href='#' class='refresh'>'._t('DataObjectManager.REFRESH','refresh').'</a>)", $map, $value);
 		return $dropdown->FieldHolder();
 	}
 	
@@ -295,9 +295,9 @@
 		for($i=10;$i<=50;$i+=10) $map[$this->RelativeLink(array('per_page' => $i))] = $i;
 		$value = !empty($this->per_page) ? $this->RelativeLink(array('per_page' => $this->per_page)) : null;
 		return new FieldGroup(
-			new LabelField('show', 'Show '),
+			new LabelField('show', _t('DataObjectManager.PERPAGESHOW','Show').' '),
 			new DropdownField('PerPage','',$map, $value),
-			new LabelField('results', ' results per page')
+			new LabelField('results', ' '._t('DataObjectManager.PERPAGERESULTS','results per page'))
 		);
 	}
 	public function SearchValue()
@@ -397,7 +397,7 @@
 		$actions = new FieldSet();	
 		if(!$readonly) {
 			$actions->push(
-				$saveAction = new FormAction("saveComplexTableField", "Save")
+				$saveAction = new FormAction("saveComplexTableField", _t('DataObjectManager.SAVE','Save'))
 			);	
 			$saveAction->addExtraClass('save');
 		}
@@ -441,7 +441,7 @@
 		$form->saveInto($this->dataObj());
 		$this->dataObj()->write();
 		
-		$form->sessionMessage('Saved '.$this->ctf->SingleTitle(). ' successfully', 'good');
+		$form->sessionMessage(sprintf(_t('DataObjectManager.SAVED','Saved %s successfully'),$this->ctf->SingleTitle()), 'good');
 
 		Director::redirectBack();
 	}
Index: code/FileDataObjectManager.php
===================================================================
--- code/FileDataObjectManager.php	(revision 80)
+++ code/FileDataObjectManager.php	(working copy)
@@ -101,7 +101,7 @@
 	
 	public function ImportDropdown()
 	{
-		return new DropdownField('ImportFolder','',$this->getImportFolderHierarchy(0),null, null, "-- Select a folder --");
+		return new DropdownField('ImportFolder','',$this->getImportFolderHierarchy(0),null, null, "-- "._t('DataObjectManager.SELECTFOLDER', 'Select a folder')." --");
 	}
 	
 	protected function importLinkFor($file)
@@ -145,7 +145,7 @@
 		foreach($types as $type) {
 			if(is_array($this->limitFileTypes) && !in_array(strtolower(str_replace(".","",$type)), $this->limitFileTypes))
 				// To-do: get user_error working.
-				die("<strong>".$this->class . "::setAllowedFileTypes() -- Only files of type " . implode(", ", $this->limitFileTypes) . " are allowed.</strong>");
+				die("<strong>".$this->class . "::setAllowedFileTypes() -- ".sprintf(_t('DataObjectManager.ALLOWEDFILETYPES', 'Only files of type %s are allowed'),implode(", ", $this->limitFileTypes))."</strong>");
 		}
 		$this->allowedFileTypes = $types;
 	}
@@ -214,8 +214,8 @@
 	{
 		
 		$fields = new FieldSet(
-			new HeaderField($title = "Add ".$this->PluralTitle(), $headingLevel = 2),
-			new HeaderField($title = "Upload from my computer", $headingLevel = 3),
+			new HeaderField($title = sprintf(_t('DataObjectManager.ADD', 'Add %s'),$this->PluralTitle()), $headingLevel = 2),
+			new HeaderField($title = _t('DataObjectManager.UPLOADFROMPC', 'Upload from my computer'), $headingLevel = 3),
 			new SWFUploadField(
 				"UploadForm",
 				"Upload",
@@ -272,7 +272,7 @@
 		);
 		$form->setActions(new FieldSet(new FormAction("saveUploadForm","Upload")));
 
-		$header = new HeaderField($title = "Import from an existing folder", $headingLevel = 3);
+		$header = new HeaderField($title = _t('DataObjectManager.IMPORTFROMFOLDER', 'Import from an existing folder'), $headingLevel = 3);
 		$holder = 	new LiteralField("holder","<div class='ajax-loader'></div><div id='import-holder'></div>");
 		if(!isset($_POST['uploaded_files']))
 			return $form->forTemplate() . $header->Field() . $this->ImportDropdown()->FieldHolder() . $holder->Field();
Index: templates/FileDataObjectManager.ss
===================================================================
--- templates/FileDataObjectManager.ss	(revision 80)
+++ templates/FileDataObjectManager.ss	(working copy)
@@ -32,7 +32,7 @@
 					<% else %><span class="Last"><img src="dataobject_manager/images/resultset_last_disabled.png" alt="" /></span><% end_if %>
 				</div>
 				<div class="dataobjectmanager-search">
-					<span class="sbox_l"></span><span class="sbox"><input value="<% if SearchValue %>$SearchValue<% else %>Search<% end_if %>" type="text" id="srch_fld"  /></span><span class="sbox_r" id="srch_clear"></span>
+					<span class="sbox_l"></span><span class="sbox"><input value="<% if SearchValue %>$SearchValue<% else %><% _t('SEARCH','Search') %><% end_if %>" type="text" id="srch_fld"  /></span><span class="sbox_r" id="srch_clear"></span>
 				</div>
 				<div style="clear:both;"></div>
 			</div>
@@ -105,7 +105,7 @@
 			<div class="rounded_table_bottom_left">
 				<div class="sort-control">
 					<% if Sortable %>
-						<input id="showall-{$id}" type="checkbox" <% if ShowAll %>checked="checked"<% end_if %> value="<% if Paginated %>$ShowAllLink<% else %>$PaginatedLink<% end_if %>" /><label for="showall-{$id}">Allow drag & drop reordering</label>
+						<input id="showall-{$id}" type="checkbox" <% if ShowAll %>checked="checked"<% end_if %> value="<% if Paginated %>$ShowAllLink<% else %>$PaginatedLink<% end_if %>" /><label for="showall-{$id}"><% _t('DRAGDROP','Allow drag &amp; drop reordering') %></label>
 					<% end_if %>
 				</div>
 				<div class="per-page-control">
